Bug 25189 - I18N -there is no locale property/information for mounted filesystems
I18N -there is no locale property/information for mounted filesystems
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Filesystems
3.x
Sun Solaris
: P2 (vote)
: 4.x
Assigned To: rmatous
issues@platform
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 15:21 UTC by Ken Frank
Modified: 2008-12-22 22:40 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2002-06-26 15:21:37 UTC
> >(This might also be the solution for issuezilla
11470.).

> >As same as Java source files, it is better to
have locale information in
> >mounted filesystem (e.g. local directory, cvs
filesystem). If we have,
> >we can convert locale specific character from
server's locale to
> >client's locale.
> >e.g.)
> >      CVS pserver (euc-jp)
> >	  We can convert cvs server information from
euc-jp, if
> >          we can know which locale is used in
server.
> >
> >      local directory made with PCK encoding
> >      netBeans (euc-jp)
> >	   we can convert directory information
(filenames or others) from
> >           PCK to display multibyte correctly.
Comment 1 Marek Grummich 2002-07-22 08:41:27 UTC
Target milestone was changed from '3.4' to TBD.
Comment 2 Marek Grummich 2002-07-22 09:04:49 UTC
Target milestone was changed from '3.4' to TBD.
Comment 3 David Simonek 2002-08-07 09:12:24 UTC
I believe Radek and filesystems will be involved in this?
Comment 4 Ken Frank 2002-10-12 19:08:59 UTC
Changing to defect after consulation with nb QA and comments from nb
strategy that some i18n rfes could actually be viewed as defects. 
Let me know if more details are needed.
ken.frank@sun.com
Comment 5 Jesse Glick 2002-12-03 22:06:20 UTC
How is this a defect?
Comment 6 Ken Frank 2002-12-04 00:25:02 UTC
As to how this could be viewed as a defect, its as
said in comments below, that on review of some proposed
i18n rfes by nb startegy, it was stated that they seemed more like
bugs.
I really don't have any more information than that..

ken.frank@sun.com
Comment 7 rmatous 2003-01-07 10:30:52 UTC
I don`t understand what is your intention. Enhance FileSystem API to
support local information and codepages of documents provided by
FileSystem ? I don`t like this idea at all. Moreover this request
should  be really considered as enhancement. I think, that NbStrategy
decisions can`t be generalized for all use cases, but perhaps I don`t
understand you well, so I would welcome to get more info about your
intention, but above all the principle how to get information about
coding, which is not trivial. So, let me know, what you exactly request. 
Comment 8 rmatous 2003-01-08 11:57:48 UTC
Not sure if this issue can be more considered as valid, there are no
new comments to have more info. So, marked as WONTFIX at the moment.
If you would like to see this issue fixed, then please provide more info.
Comment 9 Keiichi Oono 2003-01-08 13:57:16 UTC
It was an enhancement request to open a file which includes characters
encoded by different encoding. We can set Encoding property for Java
and JSP files, but we can not set Encoding for html, text, and others.
If we can set Encoding property to filesystem, we don't have to set
Encoding to each files.
We have some similar requests especially to open encoded HTML file:
19928, 27240, 25191, 18607, 18651.

Would you give me your any thoughts to support Encoding for various
file types?

Thank you.
Keiichi
Comment 10 rmatous 2003-01-09 16:05:41 UTC
Thanks for info, so I reopen this issue and mark as enhancement. But
this issue can`t be solved isolated. IMHO this and other mentioned
issues must be solved together according to specification. Such spec.
must precede any next effort.
Comment 11 Jesse Glick 2004-05-02 19:07:12 UTC
There are some plans to provide per-project encoding info. There are
no mounted filesystems any more.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo